/* Stockage d'une couleur rvb               */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Novembre 2012                            */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "CouleurRVB.h"
#include "Rvb.h"

/* Constructeurs                            */
CouleurRVB::CouleurRVB(void):Rvb() {
}

CouleurRVB::CouleurRVB(double r,double v,double b):Rvb(r,v,b) {
}

CouleurRVB::CouleurRVB(float r,float v,float b):Rvb(r,v,b) {
}

CouleurRVB::CouleurRVB(double *c):Rvb(c[0],c[1],c[2]) {
}

CouleurRVB::CouleurRVB(float *c):Rvb(c[0],c[1],c[2]) {
}

CouleurRVB::CouleurRVB(CouleurRVB *c):Rvb(c) {
  r = c->r;
  v = c->v;
  b = c->b;
}

/* Destructeur                              */
CouleurRVB::~CouleurRVB(void) {
}
